<div class="form-group">
	<label class="col-sm-2 control-label">&{'kurs.label'}</label>
	<div class="col-sm-4">
		<select class="form-control" name="produk.harga_kurs_id">
			<option>&{'pilih.label'}</option>
			#{list kursList, as:'kl' }
				<option value="${kl.id}">${kl.nama_kurs}</option>
			#{/list}}
		</select>
	</div>
</div>
<div class="form-group">
	<label class="col-sm-2 control-label">&{'tanggal_harga.label'}</label>
	<div class="col-sm-4">
        <input maxlength="100" type="text" name="tanggal_harga"
               class="form-control datepicker" placeholder="" />
        <input id="harga-json" name="harga-json" type="hidden" />
	</div>
</div>
#{if komoditas.kelas_harga.equalsIgnoreCase("nasional")}
<label class="col-sm-2 control-label">&{'harga.label'}</label>
<div class="col-sm-4">
    <input type="text" name="produk.harga_utama" class="form-control" placeholder="&{'harga_produk.label'}"/>
    <input id="harga-json" name="harga-json" type="hidden" />
</div>
#{/if}
#{else }
<div class="form-group">
    <label class="col-sm-2 control-label">&{'unggah_file.label'} &{'excel.label'}</label>
    <div class="col-sm-6">
        <span><a href="#" id="download">&{'produk.hargaproduk.unduhtemplate.info'}</a></span>
        <br />
        <button class="btn red" type="button" onclick="$('#harga_upload').click();">&{'unggah_file.label'}</button>
        <input type="file" id="harga_upload" style="display:none">
    </div>
</div>
<div style="overflow-x: auto">
    <table class="table table-condensed" id="tbl-hrg">
        <thead>
        <th>&{'kabupaten_kota.label'}</th>
        <th>&{'harga_retail.label'}</th>
        <th>&{'harga_pemerintah.label'}</th>
        <th>&{'referensi_ongkos_kirim.label'}</th>
        </thead>
        <tbody>

        </tbody>
    </table>
</div>
#{/else}

<script type="text/javascript" src="@{'/public/javascripts/jquery-1.12.1.min.js'}"> </script>
<script type="text/javascript" src="@{'public/javascripts/js-xlsx/jszip.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/js-xlsx/xlsx.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/filesaver/FileSaver.min.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/blob/Blob.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/download-harga-util.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/upload-harga-util.js'}"></script>

<script type="text/javascript">

    $("#download").click(function() {
		var checkedItems = $(".wilJualItems:checkbox:checked");
		var kelasHarga = '${komoditas.kelas_harga}';
		var ids = new Array();
		if(kelasHarga == 'kabupaten'){
            checkedItems.each(function () {
                var item = $(this);
                var kabInfo = new Array();
                kabInfo['kabId'] = item.val();
                kabInfo['kabName'] = item.attr("kabName");
                kabInfo['provName'] = item.attr("provName");
                ids.push(kabInfo);
            });
		} else {
            checkedItems.each(function () {
                var item = $(this);
                var kabInfo = new Array();
                kabInfo['kabId'] = item.val();
                kabInfo['provName'] = item.attr("provName");
                ids.push(kabInfo);
            });
		}
        generateXlsx(ids, kelasHarga);
    });


    $(document).on('change', '#harga_upload', function (e) {
        // console.log(e);
        douploadHarga(e)
    });

</script>